/*html, body { background: whitesmoke }*/
/*#container { background: white; }*/
/*.section { border-radius: 0.25cm; margin: 0 0 0.5cm 0; box-shadow:silver 1px 1px; }*/

#container { counter-reset: section; }
.section { counter-reset: question }

a > input { pointer-events: none }
.no-numbering h3::before { content: "" }
#github { text-decoration: none; color: black; }
#github #signin { padding: 0.1cm 0.2cm; background-color: rgb(31, 136, 61); color: white; border-radius: 6px; border: solid 0.8px rgba(31, 35, 40, 0.15); margin-right: 0.2cm }
.middle > * { vertical-align: middle }
#cla-continue { text-align: right; padding: 0.5cm 0 }
input[type=submit] { font-size: 14pt; }
input[type=submit]:disabled { background: whitesmoke; color: silver; cursor: not-allowed }
#cla-record { border-radius: 6px; border: solid 1px rgb(31, 136, 61); background: white; flex: 1 }
#cla-record > #cla-header { background-color: rgb(31, 136, 61); color: white; }
#cla-record > #cla-header { padding: 0.1cm 0.2cm }
#cla-record > #cla-body { padding: 0.2cm }
#cla-record #cla-link { margin-bottom: 0.2cm }
#cla-out { text-align: right; font-size: 15px }
div.answer label.block { display: flex }
div.answer label.block input { margin-right: 0.1cm }
div.answer textarea { width: 100%; height: 5lh }

h3 { margin: 0 0 0.5em 0; padding: 0; font-weight: 500; font-size: 1.25rem }
h4 { font-size: 14pt; font-weight: bold; margin: 1em 0 0.5em 0 }
h3::before { counter-increment: section; content: counter(section) ". " }
h4::before { counter-increment: question; content: counter(section) "." counter(question) " " }
div.question { margin-top: 1em; font-size: 1rem; }
div.prompt { margin-bottom: 0.4em }
div.answer { margin-bottom: 0.5em }
div.answer label { display: block; padding: 0.4em 0 }
div.answer label:hover, tr:hover { background: whitesmoke; cursor: pointer }
div.detail { margin-left: 1.5rem; font-size: 1rem }
div#submit input { font-size: 1rem }
div.nosubmit { background-color: whitesmoke; border-left: 0.4em solid #ff5455; margin: 0.5em 0; padding: 0.5em 1em; font-weight: 500; color: firebrick }

.help { font-size: 0.85rem; color: black; }
div.question > div.help { margin-left: 0; }
label input[type=radio] ~ div.help, label input[type=checkbox] ~ div.help { padding-left: 1.5em }
label ul { margin-top: 0 }

th { text-align: left; font-weight: normal; cursor: default }
th, td { padding: 0.25em 1em 0.25em 0; vertical-align: middle }

.nesting { margin-left: 2rem }

.intro { background-color: whitesmoke; border-left: 0.4em solid #5455ff; margin: 0.5em 0; }
.narrow, content, div.help { max-width: 676px; }

#dataContainer { width: 100%; display: flex; resize: both; overflow: hidden; min-height: 10cm; min-height: 20lh; }
.tabHeaders > div { padding: 0.75em 1em; cursor: pointer; background: whitesmoke; border-left: 0.4em solid transparent }
.tabHeaders > div:hover { border-left: 0.4em solid #5455ff; }
.tabHeaders > div.selected { background-color: white; border: solid 1px silver; border-left: 0.4em solid #5455ff; }
.tabItems { flex: 1; background: white; border: solid 1px silver; overflow: hidden; padding: 0.5em }
.tabItems > div { display: flex; flex-direction: column; height: 100% }
.tabItems div.fileContent 
{
    border: solid 1px black; 
    padding: 0.5em; 
    overflow: auto;
    background: white;
    flex: 1;
    position: relative;
    min-height: 250px;
}
.fileContent textarea, .fileContent .adorner
{
    border: none;
    resize: none;
    padding: 0;
    text-wrap: nowrap;
    overflow: hidden; 
    position: absolute;
    top: 0.5em;
    left: 0.5em;
    bottom: 0.5em;
    right: 0.5em;
}
.fileContent textarea, .fileContent .adorner, .fileContent .adorner > div div
{
    font-family: Consolas, 'Lucide Console', 'Courier New', Courier, monospace;
    font-size: 1rem;
    white-space: pre; 
}
.fileContent textarea { color: black; background: transparent }
.fileContent textarea:focus { outline: none; border: none }
.fileContent .adorner { color: transparent; }
.fileContent .adorner .selectedLine { background: #5455ff10 }
.fileContent:focus-within { outline-width: thin; outline-style: solid }

.tabItems .fileHeader { margin-bottom: 0.5em; display: flex; justify-content: space-between }

a.fileLink { font-size: 0.8em; margin-left: 1em }

.fileDesigner { margin-top: 0.5em; background: whitesmoke; padding: 0.5em; }
.fileDesigner label { font-size: small }
.fileDesigner input.cpBox { width: 5em }
.fileDesigner input.cpRangeBox { width: 8em }
.fileDesigner .row { display: flex; column-gap: 0.5em; margin-bottom: 0.25em; align-items: flex-end }
.fileDesigner .row .row-fill { flex: 1 }
.fileDesigner .row .row-fill input { width: 100%; box-sizing: border-box }

.dropdown { position: absolute; border: solid 1px silver; background: white; max-height: 50%; overflow-y: auto }
.dropdown .dditem { padding: 0.1em 0.5em; cursor: pointer }
.dropdown .dditem:hover, .dropdown .selected { background: #5455ff; color: white }

.reportTable td { cursor: auto }
.reportTable { border: solid 1px silver }
.reportTable { margin: 1em }
.reportTable th { font-weight: bold; padding: 0.2em 0.5em }
.reportTable td { padding: 0.2em 0.5em }
.reportTable tr.header, .reportTable tr.footer { background: whitesmoke }
.reportTable th.hover, .reportTable td.hover { background: whitesmoke }
.reportTable tr.invalid { background: #fff5f5 }
.nameID { white-space: nowrap }
.nameValue { white-space: pre-wrap; }
.reportTable img { vertical-align: baseline; width: 16px; height: 16px }
.reportTable td.code { font-family: Consolas, 'Lucide Console', 'Courier New', Courier, monospace; }
.namesview .reportTable td, .namesview .reportTable th { bordeR: solid 1px silver }
.namesview { overflow-x: auto }
.namesview-table th:nth-child(1) { position: sticky; left: 0; background: whitesmoke }
.breakout { 
  width: max-content;
  max-width: 97vw;
  position: relative;
  left: 50%;
  transform: translateX(-50%);
}